div(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-details-header

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-details-informations(*ngIf="execution$ | async as execution", [execution]="execution",
      [workflow]="getWorkflowById$(execution.workflowDeploymentId) | async",
      [module]="getModuleById$(execution.moduleInstanceId) | async")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-details-timeline([execution]="execution$ | async",
      [previousExecutions]="previousExecutions$ | async", [nextExecutions]="nextExecutions$ | async")

div.mt1(nz-row, [nzGutter]="8")
  div(nz-col, [nzSpan]="12")
    ryax-monitoring-details-inputs([execution]="execution$ | async", [passwordVisibility]="inputPasswordVisibility$ | async", (showModal)="showModal()", (toggleVisibility)="toggleInputVisibility($event)")
  div(nz-col, [nzSpan]="12")
    ryax-monitoring-details-outputs([execution]="execution$ | async", [passwordVisibility]="outputPasswordVisibility$ | async", (showModal)="showModal()", (toggleVisibility)="toggleOutputVisibility($event)")

div.mt1(nz-row, [nzGutter]="8")
  div(nz-col, [nzSpan]="12")
    ryax-monitoring-details-table(title="Previous executions", [executions]="previousExecutions$ | async", [itemTemplate]="monitoringDetailsTableRow")
  div(nz-col, [nzSpan]="12")
    ryax-monitoring-details-table(title="Next executions", [executions]="nextExecutions$ | async", [itemTemplate]="monitoringDetailsTableRow")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-monitoring-details-logs([execution]="execution$ | async")

ng-template(#monitoringDetailsTableRow, let-execution)
  tr(ryax-monitoring-details-table-row, [routerLink]="['/workflows', 'monitoring', execution.id]",
    [execution]="execution", [module]="getModuleById$(execution.moduleInstanceId) | async")

nz-modal([(nzVisible)]="isVisible", nzTitle="Download directory", (nzOnCancel)="handleCancel()", (nzOnOk)="handleOk()")
  p Downloading directories is not supported yet
